### Function

# AppStream ScreenshotKind from_string

#### Declaration [src]

    AsScreenshotKind
    as_screenshot_kind_from_string (
      const gchar* kind
    )

#### Description [src]

Converts the text representation to an enumerated value.

#### Parameters

`kind`

  Type: `const gchar*`

  The string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AsScreenshotKind`

A %AsScreenshotKind, or `AS_SCREENSHOT_KIND_UNKNOWN` if not known.